const path = require('path')
const fs = require('fs')

// Make sure any symlinks in the project folder are resolved:
// https://github.com/facebookincubator/create-react-app/issues/637
const appDirectory = fs.realpathSync(process.cwd())
const resolveApp = relativePath => path.resolve(appDirectory, relativePath)
const resolveOwn = relativePath => path.resolve(__dirname, '..', relativePath)

module.exports = {
  appTestEntry: resolveApp('test/index.js'),
  appEntry: resolveApp('bld/index.jsx'),
  appDist: resolveApp('dist'),
  appZip: resolveApp('zip'),
  appNodeModules: resolveApp('node_modules'),
  appOutput: resolveApp('dist/package.js'),
  appResource: resolveApp('src/resource'),
  appDistResource: resolveApp('dist/resource'),
  appEnvoyConfig: resolveApp('envoy.config.js'),
  ownEslintConfig: resolveOwn('./config/eslintconfig')
}
