const paths = require('../config/path')
const path = require('path')

const localPackage = require(path.join(paths.appNodeModules, 'mesh-envoy/package.json'))

module.exports = function() {
  return fetch('https://registry.npmjs.org/mesh-envoy')
    .then(res => {
      if (res.status >= 400) {
        return
      }
      return res.json()
    })
    .then(data => {
      if (data) {
        const localVersion = localPackage.version
        const remoteVersion = data['dist-tags'].latest
        if (localVersion === remoteVersion) {
          return false
        } else {
          return {
            local: localVersion,
            remote: remoteVersion
          }
        }
      }
    })
    .catch(e => {
      console.log(e)
    })
}